[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

lily 1.5.18 gcc version...

From: Olivier Guéry
Subject: lily 1.5.18 gcc version...
Date: 22 Oct 2001 01:37:42 +0200

I'm using gcc 2.96 (the default gcc with mdk 8.1)
Here is the output error for lily 1.5.18 (no problem with lily 1.5.17)

make[1]: Quitte le répertoire `/mnt/root/sources/lilypond/lilypond-1.5.18/modules'
make[1]: Entre dans le répertoire `/mnt/root/sources/lilypond/lilypond-1.5.18/midi2ly'
make[1]: *** Pas de règle pour fabriquer la cible `out/midi2ly.1', nécessaire pour `man'. Arrêt.
make[1]: Quitte le répertoire `/mnt/root/sources/lilypond/lilypond-1.5.18/midi2ly'
make: *** [all] Erreur 2*

But, the mdk 8.1 got also rpm for gcc/g++ 3.0.1
And the result is ... TADA !!

/usr/include/g++-v3/bits/codecvt.h:678: duplicate member `std::<anonymous
In file included from /usr/include/g++-v3/bits/locale_facets.tcc:36,
                 from /usr/include/g++-v3/bits/std_locale.h:41,
                 from /usr/include/g++-v3/bits/ostream.tcc:32,
                 from /usr/include/g++-v3/bits/std_ostream.h:278,
                 from /usr/include/g++-v3/bits/std_iostream.h:40,
                 from /usr/include/g++-v3/backward/iostream.h:32,
                 from include/string.hh:13,
                 from axis.cc:11:
/usr/include/g++-v3/bits/std_clocale.h:46: `lconv' not declared
/usr/include/g++-v3/bits/std_clocale.h:47: `setlocale' not declared
/usr/include/g++-v3/bits/std_clocale.h:48: `localeconv' not declared
make[1]: *** [out/axis.o] Erreur 1
make[1]: Quitte le répertoire `/mnt/root/sources/lilypond/lilypond-1.5.18/flower'
make: *** [all] Erreur 2

gcc 3.0.1 never work with lily...

as usual, I don(t know if it can help you but... If someone be able to use the 3.0.1 version I'd like to know how, 2.96 is not the best stable version, if i'm

Olivier Guéry<address@hidden>

reply via email to

[Prev in Thread] Current Thread [Next in Thread]